Xalan-Java: Class StringToStringTableVector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class StringToStringTableVector

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.StringToStringTableVector

public class StringToStringTableVector
extends java.lang.Object

**For internal use only** A very simple table that stores a list of StringToStringTables, optimized for small lists.

Constructor Summary
`StringToStringTableVector()` **For internal use only** Default constructor.
`StringToStringTableVector(int blocksize)` **For internal use only** Construct a StringToStringTableVector, using the given block size.

Method Summary
`void` | `addElement(StringToStringTable value)` **For internal use only** Append a string onto the vector.
`boolean` | `contains(StringToStringTable s)` **For internal use only** Tell if the table contains the given string.
`boolean` | `containsKey(java.lang.String key)` **For internal use only** Given a string, find the last added occurance value that matches the key.
`StringToStringTable` | `elementAt(int i)` **For internal use only** Get the nth element.
`java.lang.String` | `get(java.lang.String key)` **For internal use only** Given a string, find the last added occurance value that matches the key.
`int` | `getLength()` **For internal use only** Get the length of the list.
`void` | `removeLastElem()` **For internal use only** Remove the last element.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToStringTableVector

    public StringToStringTableVector()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### StringToStringTableVector

    public StringToStringTableVector(int blocksize)

  **For internal use only** Construct a StringToStringTableVector, using the given block size.

Method Detail

### getLength

    public final int getLength()

  **For internal use only** Get the length of the list.

### size

    public final int size()

  **For internal use only** Get the length of the list.

### addElement

    public final void addElement(StringToStringTable value)

  **For internal use only** Append a string onto the vector.

### get

    public final java.lang.String get(java.lang.String key)

  **For internal use only** Given a string, find the last added occurance value that matches the key.

### containsKey

    public final boolean containsKey(java.lang.String key)

  **For internal use only** Given a string, find the last added occurance value that matches the key.

### removeLastElem

    public final void removeLastElem()

  **For internal use only** Remove the last element.

### elementAt

    public final StringToStringTable elementAt(int i)

  **For internal use only** Get the nth element.

### contains

    public final boolean contains(StringToStringTable s)

  **For internal use only** Tell if the table contains the given string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.